Bug 233773 - net-mgmt/pandorafms_console: Unbreak with PHP 7.1+
Summary: net-mgmt/pandorafms_console: Unbreak with PHP 7.1+
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-12-04 12:29 UTC by Miroslav Lachman
Modified: 2019-01-01 14:56 UTC (History)
2 users (show)

See Also:
koichiro: maintainer-feedback+
koobs: merge-quarterly?


Attachments
use mysqli_ functions instead of mysql_ to make it work with PHP 7.1+ (15.45 KB, patch)
2018-12-04 12:29 UTC, Miroslav Lachman
no flags Details | Diff
poudriere testport log (34.82 KB, text/plain)
2018-12-04 12:42 UTC, Miroslav Lachman
no flags Details
Updated patch that can be applied to latest ports tree (15.45 KB, patch)
2018-12-25 18:16 UTC, KIKUCHI Koichiro
koichiro: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslav Lachman 2018-12-04 12:29:06 UTC
Created attachment 199811 [details]
use mysqli_ functions instead of mysql_ to make it work with PHP 7.1+

pandorafms_console is set Deprecate / depending on php 5.6, attached patch makes it work with PHP 7.1 (I am running it with this modifications for 1 year)

I don't know if upstream will ever support PHP 7.1+.
Comment 1 Miroslav Lachman 2018-12-04 12:42:51 UTC
Created attachment 199812 [details]
poudriere testport log
Comment 2 KIKUCHI Koichiro 2018-12-25 18:16:29 UTC
Created attachment 200505 [details]
Updated patch that can be applied to latest ports tree

Sorry for delay.

I have updated your patch so that it can be applied to the current ports tree.

I plan to update pandorafms' ports to the latest version (which requires php 7.0 or higher) in the near future, but I would like to adopt your PR before that.

Thank you for PR.
Comment 3 commit-hook freebsd_committer 2019-01-01 12:44:41 UTC
A commit references this bug:

Author: rene
Date: Tue Jan  1 12:44:27 UTC 2019
New revision: 488875
URL: https://svnweb.freebsd.org/changeset/ports/488875

Log:
  net-mgmt/pandorafms_console: fix build with PHP 7.1+

  PR:		233773
  Reported by:	Maroslav Lachman 000.fbsd@quip.cz
  Reviewed by:	maintainer (actual diff)
  Approved by:	maintainer
  MFH:		2019Q1

Changes:
  head/net-mgmt/pandorafms_console/Makefile
  head/net-mgmt/pandorafms_console/files/patch-include_db_mysql.php
  head/net-mgmt/pandorafms_console/files/patch-include_functions.php
  head/net-mgmt/pandorafms_console/files/patch-install.php
Comment 4 Rene Ladan freebsd_committer 2019-01-01 12:45:47 UTC
Patch committed, thanks for the submission. Waiting for 2019Q1 approval.
Comment 5 Rene Ladan freebsd_committer 2019-01-01 14:55:42 UTC
Merged to 2019Q1
Comment 6 commit-hook freebsd_committer 2019-01-01 14:56:22 UTC
A commit references this bug:

Author: rene
Date: Tue Jan  1 14:55:19 UTC 2019
New revision: 488898
URL: https://svnweb.freebsd.org/changeset/ports/488898

Log:
  MFH: r488875

  net-mgmt/pandorafms_console: fix build with PHP 7.1+

  PR:		233773
  Reported by:	Maroslav Lachman 000.fbsd@quip.cz
  Reviewed by:	maintainer (actual diff)
  Approved by:	maintainer

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/net-mgmt/pandorafms_console/Makefile
  branches/2019Q1/net-mgmt/pandorafms_console/files/patch-include_db_mysql.php
  branches/2019Q1/net-mgmt/pandorafms_console/files/patch-include_functions.php
  branches/2019Q1/net-mgmt/pandorafms_console/files/patch-install.php